:root {
	--emerald: #25c0a0;
}

/*  */

.page {
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	height: 100%;
	padding: 0px;
	font-family: system-ui, -apple-system, "Ubuntu", "Segoe UI", "Roboto", monospace;
	overflow: hidden;
}


/*  */

.page.color-scheme-dark {
	color-scheme: dark;
	color: #e5e5e5;
	background-color: #1b1b1d;
}

.page.color-scheme-light {
	color-scheme: light;
	color: black;
	background-color: white;
}


/*  */

.header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	padding: 8px;
	padding-left: 24px;
	background-color: #242428;
}

.color-scheme-light .header {
	background-color: white;
	border-bottom: 1px solid #1b1b1d;
}

.logotype {
	width: 32px;
	height: 32px;
	background-color: black;
	border-radius: 50%;
}

.site-name {
	font-size: 24px;
	font-weight: bold;
	cursor: pointer;
	text-decoration: none;
	color: #e5e5e5;
	outline: 0px none transparent;
}

.color-scheme-light .site-name {
	color: black;
}


/*  */

.dotted-link,
.dotted-link:visited {
	width: fit-content;
	text-decoration: none;
	height: fit-content;
	color: rgb(0, 0, 80);
	border-bottom: 1px dotted rgb(0, 0, 80);
	cursor: pointer;
}

.dotted-link:hover {
	border-bottom-style: solid;
}

.color-scheme-dark .dotted-link,
.color-scheme-dark .dotted-link:visited {
	color: var(--emerald);
	border-bottom-color: var(--emerald);
}


/*  */

.lang-list {
	list-style: none;
	font-size: 0.9em;
	gap: 8px;
}

.lang-list__link,
.lang-list__link:visited {
	font-weight: bold;
	color: darkblue;
	text-decoration: none;
	height: fit-content;
	border-bottom: 1px dotted darkblue;
	cursor: pointer;
}

.lang-list__link:hover {
	border-bottom-style: solid;
}

.color-scheme-dark .lang-list__link,
.color-scheme-dark .lang-list__link:visited {
	color: var(--emerald);
	border-bottom-color: var(--emerald);
}


/*  */

.main-footer-pair {
	display: flex;
	flex-direction: column;

	overflow-x: hidden;
	overflow-y: auto;

	flex-grow: 1;
}

.main {
	display: flex;
	flex-direction: row;

	padding-right: 16px;
	padding-left: 16px;

	justify-content: center;

	/* overflow-x: hidden;
	overflow-y: auto; */
}

@media screen and (min-width: 420px) {
	.main {
		padding-right: 64px;
		padding-left: 64px;
	}
}


/*  */

.big-nav {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.big-nav__list {
	padding: 0px;
	display: flex;
	flex-direction: column;
	gap: 8px;
	list-style: none;
}

.big-nav__item {
	display: flex;
	flex-direction: column;
	gap: 4px;
}


/*  */

.article {
	position: relative;
	box-sizing: border-box;
	font-size: 16px;
	line-height: 24px;
	outline: 0px none transparent;
}

.article__header {
	margin-bottom: 64px;
	width: fit-content;
	text-align: center;
	line-height: 36px;
}

.article__pg {
	text-align: justify;
}


/*  */

.semi-opacity-bottom {
	position: sticky;
	width: 100%;
	left: 0px;
	bottom: 0px;
	height: 4rem;
	background: linear-gradient(to top, rgba(27, 27, 29, 1), rgba(27, 27, 29, 0.1));
}

.color-scheme-light .semi-opacity-bottom {
	background: linear-gradient(to top, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.1));
}

.semi-opacity-top {
	position: sticky;
	width: 100%;
	left: 0px;
	top: 0px;
	height: 4rem;
	background: linear-gradient(to bottom, rgba(27, 27, 29, 1), rgba(27, 27, 29, 0.1));
}

.color-scheme-light .semi-opacity-top {
	background: linear-gradient(to bottom, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.1));
}


/*  */

.footer {
	padding: 8px 32px;
	background-color: #242428;
}

.color-scheme-light .footer {
	background-color: white;
	border-top: 1px solid #1b1b1d;
}

.footer_short {
	border-radius: 4px;
}

.color-scheme-light .footer_short {
	border: 1px solid #1b1b1d;
}


/*  */

.wh-24 {
	width: 24px;
	height: 24px;
}

.scheme-switcher,
.scheme-switcher__button,
.scheme-switcher__sun,
.scheme-switcher__moon {
	padding: 0px;
	background-color: transparent;
	outline: 0px none transparent;
	border: 0 none transparent;
	border-radius: 50%;
	cursor: pointer;
	overflow: hidden;
}

.scheme-switcher {
	padding: 4px;
}

.color-scheme-dark .scheme-switcher:hover {
	background-color: rgb(64, 64, 64);
}

.color-scheme-light .scheme-switcher:hover {
	background-color: rgb(240, 240, 240);
}

.scheme-switcher__button {
	margin: 0px;
	width: 100%;
	height: 100%;
}

.scheme-switcher__moon,
.scheme-switcher__sun {
	margin: 0px;
	width: 100%;
	height: 100%;
}

.color-scheme-dark .scheme-switcher__sun,
.color-scheme-light .scheme-switcher__moon {
	display: none;
}

.scheme-switcher__moon {
	color: white;
}

.scheme-switcher__sun {
	color: black;
}


/*  */

.single-infoblock {
	box-sizing: border-box;
	text-align: center;
	font-size: 32px;
	font-weight: bold;
}


/*  */

.bbox {
	box-sizing: border-box;
}

.scroll-y-auto {
	overflow-x: hidden;
	overflow-y: auto;
}

.w-fc {
	width: fit-content;
}

.w-800 {
	width: 800px;
}

.mxw-800 {
	max-width: 800px;
}

.mnw-0 {
	min-width: 0;
}

.mp-0 {
	margin: 0px;
	padding: 0px;
}

.m-64 {
	margin: 64px;
}

.m-8 {
	margin: 8px;
}

.m-4 {
	margin: 4px;
}

.m-0 {
	margin: 0px;
}

.mx-64 {
	margin: auto 64px;
}

.my-64 {
	margin: 64px auto;
}

.mb-64 {
	margin-bottom: 64px;
}

.mt-32 {
	margin-top: 32px;
}

.px-64 {
	padding-right: 64px;
	padding-left: 64px;
}

.px-8 {
	padding-right: 8px;
	padding-left: 8px;
}

.py-4 {
	padding-top: 4px;
	padding-bottom: 4px;
}

.pb-32 {
	padding-bottom: 32px;
}

.p-0 {
	padding: 0px;
}

.flex {
	display: flex;
}

.row {
	display: flex;
	flex-direction: row;
}

.col {
	display: flex;
	flex-direction: column;
}

.gap-16 {
	gap: 16px;
}

.gap-8 {
	gap: 8px;
}

.gap-0 {
	gap: 0;
}

.all-c {
	place-content: center;
	place-items: center;
	text-align: center;
}

.jc-c {
	justify-content: center;
}

.jc-e {
	justify-content: flex-end;
}

.ai-c {
	align-items: center;
}

.fa-c {
	align-self: center;
}

.as-c {
	align-self: center;
}

.as-e {
	align-self: flex-end;
}

.ta-c {
	text-align: center;
}

.max-size {
	width: 100%;
	height: 100%;
	flex-basis: 100%;
}

.h-full {
	height: 100%;
}

.grow-1 {
	flex-grow: 1;
}

.ta-j {
	text-align: justify;
}

.d-none {
	display: none;
}

.ls-n {
	list-style: none;
}


/* Отладочные */

.gd {
	border: 1px dotted darkgreen;
}